MERGE-INFO(1)

NAME
merge-info, merge and unmerge GNU Info index files

SYNOPSIS
merge-info [OPTION ...] FILE FILE

DESCRIPTION
merge-info can merge and unmerge the GNU Info index files named 'dir'. These files are usally created by install-info at install time of an application, or automatically generated by a mkinfodir script.

If you are installing 2 packages at two different locations, two different 'dir' files are created. Eg.: One in

          /stow/foo/usr/local/info/dir

and one in

          /stow/bar/usr/local/info/dir

This is the common case if you are using a tool like xstow(1). merge-info can handle this and can merge both 'dir' files and creates a new 'dir' file.

USAGE
merge-info [OPTION ...] FILE FILE

Merge two files:

      merge-info /stow/foo/info/dir /stow/bar/info/dir

Remove the content of a 'dir' file from another 'dir' file

       merge-info -u /stow/foo/info/dir /stow/bar/info/dir

OPTIONS

-dl -debug-level INT
    Set's the debug level. An unsigned integer is accepted. The default value is 0.

-h -help
    Shows a help screen.

-V -Version
    Displays the verion number of the XStow package. merge-info is shipped with xstow(1).

-u -unmerge
    Unmerge instead of merge. Note: It is not possible splitting up one 'dir' file into two. But removing the content of one 'dir' file from the other one is possible.

-o -outfile
    Write the resulting 'dir' file not to stdout. Write it to a given file. Since merge-info does not open this outfile until all the merging or unmerging stuff is done it is allowed that the outfile is one the source files. eg.:

        merge-info -u foo/info/dir bar/info/dir -o foo/info/dir

-d -duplicate
    Remove duplicate entries. When merging 2 files an entry can appear in more than one section. If you do not wan't this, use this option.

ENVIRONMENT VARIABLES

XSTOW_DEBUG_LEVEL
    Same as the -debug-level option.

AUTHORS
merge-info was written by Martin Oberzalek <kingleo@gmx.at>.

COPYING
merge-info, a tool for merging GNU Info index files.

Copyright (C) 2004-2005 by Martin Oberzalek <kingleo@gmx.at>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

SEE ALSO
info(1) install-info(1) xstow(1)

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 42:
    Can't have a 0 in =over 0

Around line 83:
    Can't have a 0 in =over 0